Name:           ax25-tools
Version:        0.0.9
Release:        6%{?dist}
Summary:        Tools used to configure an ax.25 enabled computer
Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.linux-ax25.org/wiki/LinuxAX25
Source0:        http://www.linux-ax25.org/cvsweb/%{name}/%{name}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	automake
BuildRequires:  libax25-devel
BuildRequires:  ncurses-devel
BuildRequires:  libXt-devel
BuildRequires:	libXi-devel
BuildRequires:	fltk-devel


%description
ax25-tools is a collection of tools that are used to configure an ax.25 enabled
computer. They will configure interfaces and assign callsigns to ports as well
as Net/ROM and ROSE configuration.

%prep
%setup -qn %{name}

%build
autoreconf
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%doc yamdrv/README.yamdrv user_call/README.user_call tcpip/ttylinkd.README dmascc/README.dmascc
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Tue Jun 21 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.9-6
- Rebuild test including new BRs

* Tue Jun 21 2011 Ralf Baechle <ralf@linux-mips.org> - 0.0.9-5
- Added BRs libXi-devel, fltk-devel

* Tue Jun 21 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.9-4
- Rebuild per bz #545272

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 12 2009 Randall J. Berry <dp67@fedoraproject.org> 0.0.9-1
- Upstream update to 0.0.9, #488049
- Upstream URL has changed
- Remove patches applied to newer source

* Thu Dec 11 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.8-3
- Fix pseudo-terminal issue, #475045

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.8-2
- Submit for review

* Thu Dec 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.8-1
- Initial Build
